## python-skbio 0.5.1

=== Makefile ===
# ----------------------------------------------------------------------------
# Copyright (c) 2013--, scikit-bio development team.
#
# Distributed under the terms of the Modified BSD License.
#
# The full license is in the file COPYING.txt, distributed with this software.
# ----------------------------------------------------------------------------

ifeq ($(WITH_COVERAGE), TRUE)
	TEST_COMMAND = COVERAGE_FILE=../.coverage coverage run \
	--rcfile ../.coveragerc -m skbio.test
else
	TEST_COMMAND = python -m skbio.test
endif

# cd into a directory that is different from scikit-bio root directory to
# simulate a user's install and testing of scikit-bio. Running from the root
# directory will find the `skbio` subpackage (not necessarily the installed
# one!) because cwd is considered in Python's search path. It is important to
# simulate a user's install/test process this way to find package data that did
# not install correctly (for example).
test:
	cd ci && $(TEST_COMMAND)
	flake8 skbio setup.py checklist.py
	./checklist.py
	check-manifest

## python-skbio 0.4.1

=== debian/changelog ===
python-skbio (0.4.1-1) unstable; urgency=medium

  [ Kevin Murray ]
  * New upstream version
  * Build documentation and create new python-skbio-doc package (Closes:
    #806594)

  [ Andreas Tille ]
  * Do not require lots of dependencies on local machine just to run clean
    target

 -- Kevin Murray <spam@kdmurray.id.au>  Mon, 21 Dec 2015 16:45:00 +1100

python-skbio (0.4.0-3) unstable; urgency=low

  [ Kevin Murray ]
  * Revert deletion of CI files in d/rules clean target
  * Add lintian overrides for duplicated compressed files
  * Fix my email address in d/control

 -- Kevin Murray <spam@kdmurray.id.au>  Tue, 13 Oct 2015 22:18:07 +1100

python-skbio (0.4.0-2) unstable; urgency=medium

  * Update python related build-depends so python3-skbio is built for all
    supported python3 versions to ease transitions. (Closes: #801658)

 -- Scott Kitterman <scott@kitterman.com>  Tue, 13 Oct 2015 01:20:31 -0400

python-skbio (0.4.0-1) unstable; urgency=medium

  * Initial upload to Debian (Closes: #794021)
  * Add Kevin Murray <kevin@kdmurray.id.au> to uploaders

 -- Andreas Tille <tille@debian.org>  Mon, 03 Aug 2015 21:31:25 +0200

skbio (0.2.3-0biolinux2) trusty; urgency=medium

  * Initial release for QIIME 1.9.0
  * Note that this build does include compiled code and so must be arch=any

 -- Tim Booth <tbooth@ceh.ac.uk>  Mon, 23 Feb 2015 17:46:31 +0000

=== debian/control ===
Source: python-skbio
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
           Andreas Tille <tille@debian.org>,
           Kevin Murray <spam@kdmurray.id.au>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all-dev (>= 2.7),
               python3-all-dev,
               python-sphinx,
               python-sphinx-bootstrap-theme,
               python-numpydoc,
               python-setuptools,
               python3-setuptools,
               python-bz2file,
               python3-bz2file,
               python-cachecontrol,
               python3-cachecontrol,
               python-contextlib2,
               python3-contextlib2,
               python-decorator,
               python3-decorator,
               python-future,
               python3-future,
               ipython,
               ipython3,
               python-lockfile,
               python3-lockfile,
               python-matplotlib,
               python3-matplotlib,
               python-natsort,
               python3-natsort,
               python-nose,
               python3-nose,
               python-numpy (>= 1:1.9.2),
               python3-numpy (>= 1:1.9.2),
               python-pandas,
               python3-pandas,
               python-scipy,
               python3-scipy,
               python-six,
               python3-six,
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-skbio.git
Vcs-Git: git://anonscm.debian.org/debian-med/python-skbio.git
Homepage: https://github.com/biocore/scikit-bio

Package: python-skbio
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
Suggests: python-skbio-doc (= ${binary:Version})
Description: Python data structures, algorithms, educational resources for bioinformatics
 Scikit-bio is a Python package providing data structures, algorithms, and
 educational resources for bioinformatics.
 .
 This is the package for Python2

Package: python-skbio-doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         libjs-mathjax,
Recommends:  python-skbio (= ${binary:Version}) | python3-skbio (= ${binary:Version})
Section: doc
Description: Data structures, algorithms, educational resources for bioinformatics (docs)
 Scikit-bio is a Python package providing data structures, algorithms, and
 educational resources for bioinformatics.
 .
 This is the HTML documentation for skbio (Python 2 or 3).

Package: python3-skbio
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-skbio-doc (= ${binary:Version})
Description: Python3 data structures, algorithms, educational resources for bioinformatic
 Scikit-bio is a Python package providing data structures, algorithms, and
 educational resources for bioinformatics.
 .
 This is the package for Python3

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=skbio
DOCPKG=python-$(PYBUILD_NAME)-doc

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=.pybuild/pythonX.Y_2.7/build/ \
		http_proxy='127.0.0.1:9' \
		sphinx-build -b html -d doc/build/doctrees doc/source doc/build/html

override_dh_auto_test:
	#Loads of failures at this point.
	dh_auto_test || true

override_dh_auto_clean:
	if [ "`find . -name "*.pyo"`" = "" ] ; then echo no need to clean up ; else dh_auto_clean; fi

override_dh_clean:
	dh_clean
	find ./skbio -name '*.so' -delete
	rm -rf .eggs

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
	dh_link --package=$(DOCPKG) \
		/usr/share/javascript/mathjax/MathJax.js \
		/usr/share/doc/$(DOCPKG)/html/_static/MathJax.js
	dh_sphinxdoc --package=$(DOCPKG)
endif

=== debian/watch ===
version=3
https://github.com/biocore/scikit-bio/releases .*/scikit-bio/archive/([.0-9]+)\.tar\.gz

## python-skbio 0.5.1

=== debian/changelog ===
python-skbio (0.5.1-2) unstable; urgency=medium

  [ Kevin Murray ]
  * Pull in upstream's fix of numpy issue
    Closes: #849176, #848758

  [ Andreas Tille ]
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Sat, 24 Dec 2016 09:27:18 +0100

python-skbio (0.5.1-1) unstable; urgency=medium

  * New upstream release
  * Change uploader mail
  * Use libssw from debian, not internal source

 -- Kevin Murray <kdmfoss@gmail.com>  Tue, 15 Nov 2016 18:58:14 +1100

python-skbio (0.5.0-1) unstable; urgency=medium

  [ Kevin Murray ]
  * Imported Upstream version 0.5.0. NB: This module is now compatible only
    with Python3.
    Closes: #831266
  * Remove Python2 package (python-skbio)
  * Bump standards version

  [ Andreas Tille ]
  * hardening=+bindnow
  * drop unused lintian overrides
  * drop tests of Python2 package

 -- Andreas Tille <tille@debian.org>  Thu, 14 Jul 2016 21:57:49 +0200

python-skbio (0.4.2-1) unstable; urgency=medium

  * New upstream version
  * Fix several test failures
  * Add basic autopkgtests
  * Don't build pdf figures (fixes unreproducible build)
  * Secure vcs-git url
  * Bump Standards-Version to 3.9.7, no changes needed

 -- Kevin Murray <kdmfoss@gmail.com>  Sat, 13 Feb 2016 11:06:20 -0800

=== debian/control ===
Source: python-skbio
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
           Andreas Tille <tille@debian.org>,
           Kevin Murray <kdmfoss@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               ipython3,
               python3-all-dev,
               python3-bz2file,
               python3-cachecontrol,
               python3-contextlib2,
               python3-decorator,
               python3-future,
               python3-lockfile,
               python3-matplotlib,
               python3-natsort,
               python3-nose,
               python3-numpy (>= 1:1.9.2),
               python3-numpydoc,
               python3-pandas,
               python3-scipy,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-bootstrap-theme,
               libssw-dev,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/debian-med/python-skbio.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/python-skbio.git
Homepage: https://github.com/biocore/scikit-bio

Package: python-skbio-doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         libjs-mathjax,
Recommends:  python3-skbio (= ${binary:Version})
Section: doc
Description: Data structures, algorithms, educational resources for bioinformatics (docs)
 Scikit-bio is a Python package providing data structures, algorithms, and
 educational resources for bioinformatics.
 .
 This is the HTML documentation for skbio.

Package: python3-skbio
Architecture: any-amd64
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-skbio-doc (= ${binary:Version})
Description: Python3 data structures, algorithms, educational resources for bioinformatic
 Scikit-bio is a Python package providing data structures, algorithms, and
 educational resources for bioinformatics.
 .
 This is the package for Python3

=== debian/rules ===
--- 
+++ 
@@ -3,21 +3,23 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
+
 export PYBUILD_NAME=skbio
+export MPLBACKEND=agg
 DOCPKG=python-$(PYBUILD_NAME)-doc
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build
-	PYTHONPATH=.pybuild/pythonX.Y_2.7/build/ \
+	PYTHONPATH=$(shell echo .pybuild/pythonX.Y_3.5*/build/) \
 		http_proxy='127.0.0.1:9' \
-		sphinx-build -b html -d doc/build/doctrees doc/source doc/build/html
+		python3 `which sphinx-build` -b html -d doc/build/doctrees doc/source doc/build/html
 
 override_dh_auto_test:
-	#Loads of failures at this point.
-	dh_auto_test || true
+	dh_auto_test
 
 override_dh_auto_clean:
 	if [ "`find . -name "*.pyo"`" = "" ] ; then echo no need to clean up ; else dh_auto_clean; fi

=== debian/tests/control ===
Tests: import-skbio testsuite
Depends: python3-skbio,
         python3-httpretty,
Restrictions: allow-stderr

## python-skbio 0.5.2

=== debian/changelog ===
python-skbio (0.5.2-1) unstable; urgency=medium

  * New upstream version
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * debhelper 11
  * Fix PYTHONPATH according to a hint given by Piotr Ożarowski
    Closes: #894326
  * Build-Depends: python3-sklearn

 -- Andreas Tille <tille@debian.org>  Thu, 26 Apr 2018 14:52:54 +0200

python-skbio (0.5.1-4) unstable; urgency=medium

  * Fix PYTHONPATH (thanks for the hint to Andreas Stührk
    <andy@hammerhartes.de>)
    Closes: #878820

 -- Andreas Tille <tille@debian.org>  Tue, 07 Nov 2017 14:31:54 +0100

python-skbio (0.5.1-3) unstable; urgency=medium

  * Standards-Version: 4.1.1
  * Versioned Build-Depends: python3-pandas (>= 0.19.2)
  * Apply upstream patch dealing with new pandas version
    Closes:  #868962
  * Remove privacy breaching logo

 -- Andreas Tille <tille@debian.org>  Fri, 06 Oct 2017 21:13:24 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
            Kevin Murray <kdmfoss@gmail.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                dh-python,
                ipython3,
                python3-all-dev,
@@ -20,24 +20,25 @@
                python3-nose,
                python3-numpy (>= 1:1.9.2),
                python3-numpydoc,
-               python3-pandas,
+               python3-pandas (>= 0.19.2),
                python3-scipy,
                python3-setuptools,
+               python3-sklearn,
                python3-sphinx,
                python3-sphinx-bootstrap-theme,
-               libssw-dev,
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/git/debian-med/python-skbio.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/python-skbio.git
+               libssw-dev
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/med-team/python-skbio
+Vcs-Git: https://salsa.debian.org/med-team/python-skbio.git
 Homepage: https://github.com/biocore/scikit-bio
 
 Package: python-skbio-doc
 Architecture: all
+Section: doc
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
-         libjs-mathjax,
-Recommends:  python3-skbio (= ${binary:Version})
-Section: doc
+         libjs-mathjax
+Recommends: python3-skbio (= ${binary:Version})
 Description: Data structures, algorithms, educational resources for bioinformatics (docs)
  Scikit-bio is a Python package providing data structures, algorithms, and
  educational resources for bioinformatics.
@@ -48,7 +49,7 @@
 Architecture: any-amd64
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         ${python3:Depends},
+         ${python3:Depends}
 Suggests: python-skbio-doc (= ${binary:Version})
 Description: Python3 data structures, algorithms, educational resources for bioinformatic
  Scikit-bio is a Python package providing data structures, algorithms, and

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	PYTHONPATH=$(shell echo .pybuild/pythonX.Y_3.5*/build/) \
+	PYTHONPATH=$(shell pybuild --print build_dir --interpreter python3) \
 		http_proxy='127.0.0.1:9' \
 		python3 `which sphinx-build` -b html -d doc/build/doctrees doc/source doc/build/html

## python-skbio 0.5.5

=== Makefile ===
--- 
+++ 
@@ -7,8 +7,7 @@
 # ----------------------------------------------------------------------------
 
 ifeq ($(WITH_COVERAGE), TRUE)
-	TEST_COMMAND = COVERAGE_FILE=../.coverage coverage run \
-	--rcfile ../.coveragerc -m skbio.test
+	TEST_COMMAND = coverage run --rcfile ../.coveragerc -m skbio.test; coverage report --rcfile ../.coveragerc
 else
 	TEST_COMMAND = python -m skbio.test
 endif
@@ -20,7 +19,7 @@
 # simulate a user's install/test process this way to find package data that did
 # not install correctly (for example).
 test:
-	cd ci && $(TEST_COMMAND)
+	cd ci && $(TEST_COMMAND); cd -
 	flake8 skbio setup.py checklist.py
 	./checklist.py
 	check-manifest

=== debian/changelog ===
python-skbio (0.5.5-2) unstable; urgency=medium

  * Upstream has fixed numpy issue
    Closes: #917693, #918213
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Tue, 12 Feb 2019 19:34:10 +0100

python-skbio (0.5.5-1) unstable; urgency=medium

  * New upstream version
    Closes: #906156
  * Standards-Version: 4.2.1
  * Build-Depends: python3-hdmedians
  * Secure URI in copyright format
  * No override for dh_auto_test
  * Test-Depends: python3-pytest

 -- Andreas Tille <tille@debian.org>  Mon, 17 Dec 2018 12:03:10 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
            Kevin Murray <kdmfoss@gmail.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-python,
                ipython3,
                python3-all-dev,
@@ -14,6 +14,7 @@
                python3-contextlib2,
                python3-decorator,
                python3-future,
+               python3-hdmedians,
                python3-lockfile,
                python3-matplotlib,
                python3-natsort,
@@ -27,7 +28,7 @@
                python3-sphinx,
                python3-sphinx-bootstrap-theme,
                libssw-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-skbio
 Vcs-Git: https://salsa.debian.org/med-team/python-skbio.git
 Homepage: https://github.com/biocore/scikit-bio

=== debian/rules ===
--- 
+++ 
@@ -18,9 +18,6 @@
 		http_proxy='127.0.0.1:9' \
 		python3 `which sphinx-build` -b html -d doc/build/doctrees doc/source doc/build/html
 
-override_dh_auto_test:
-	dh_auto_test
-
 override_dh_auto_clean:
 	if [ "`find . -name "*.pyo"`" = "" ] ; then echo no need to clean up ; else dh_auto_clean; fi

=== debian/tests/control ===
Tests: import-skbio testsuite
Depends: python3-skbio,
         python3-httpretty,
         python3-pytest
Restrictions: allow-stderr

## python-skbio 0.5.6

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # ----------------------------------------------------------------------------
 
 ifeq ($(WITH_COVERAGE), TRUE)
-	TEST_COMMAND = coverage run --rcfile ../.coveragerc -m skbio.test; coverage report --rcfile ../.coveragerc
+	TEST_COMMAND = coverage run --rcfile ../.coveragerc -m skbio.test && coverage report --rcfile ../.coveragerc
 else
 	TEST_COMMAND = python -m skbio.test
 endif
@@ -19,7 +19,7 @@
 # simulate a user's install/test process this way to find package data that did
 # not install correctly (for example).
 test:
-	cd ci && $(TEST_COMMAND); cd -
+	cd ci && $(TEST_COMMAND) && cd -
 	flake8 skbio setup.py checklist.py
 	./checklist.py
 	check-manifest

=== debian/changelog ===
python-skbio (0.5.6-6build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 18:05:38 +0000

python-skbio (0.5.6-6) unstable; urgency=medium

  * Team upload

  [ Andreas Tille ]
  * Remove Tim Booth from Uploaders (Thanks to Tim for all his work)

  [ Graham Inggs ]
  * Regenerate the .c files at build time by cython3
    Closes: #1000864
  * Cherry-pick upstream commit to fix dtypes and warnings
    Closes: #992676, #999523
  * Drop skip_tests_failung_due_to_scipy.patch, no longer needed

 -- Graham Inggs <ginggs@debian.org>  Fri, 03 Dec 2021 15:24:18 +0000

python-skbio (0.5.6-5) unstable; urgency=medium

  [ Steffen Moeller ]
  * Team upload.
  * d/u/metadata: Added refs to registries
  * Standards-Version: 4.6.0
  * d/rules:
    - Not installing /usr/lib/python3/dist-packages/benchmarks/
      (Closes: #991981)
    - Improved cleaning to allow repeated builds

  [ Andreas Tille ]
  * Replace add_javascript() and add_stylesheet() in sphinx config
  * For the moment the 4 tests that are broken due to bug #992676 are excluded

 -- Andreas Tille <tille@debian.org>  Wed, 13 Oct 2021 09:17:09 +0200

python-skbio (0.5.6-4) unstable; urgency=medium

  * Team upload.
  * debian/control: add depends on various python doc packages to fix
    intersphinx linking
  * debian/patches/ignore_failing_patches.patch: drop unneeded patch
  * Standards-Version: 4.5.1 (routine-update)
  * Update renamed lintian tag names in lintian overrides.
  * Silence some lintian false-positives

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 01 Feb 2021 11:54:35 +0100

python-skbio (0.5.6-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Patches: Support Pandas 1.1. (Closes: #972548)

 -- Stefano Rivera <stefanor@debian.org>  Tue, 20 Oct 2020 11:00:59 -0700

python-skbio (0.5.6-3) unstable; urgency=medium

  * debhelper-compat 13 (routine-update)
  * Versioned Build-Depends: python3-hdmedians (>= 0.14.1)
    Closes: #969649

 -- Andreas Tille <tille@debian.org>  Tue, 29 Sep 2020 09:20:23 +0200

python-skbio (0.5.6-2) unstable; urgency=medium

  * Team upload.
  * Switch from copy of SIMDe to the libsimde-dev package

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 19 Apr 2020 17:37:56 +0200

python-skbio (0.5.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Remove patches incorporated upstream
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Run the tests in the autopkgtest the same way we do during build-time:
    using pytest. Closes: #951222

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 07 Apr 2020 16:07:58 +0200

python-skbio (0.5.5-7) unstable; urgency=medium

  * Team upload.
  * Soften the equality test in NjTests.test_nj_dm1

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 28 Feb 2020 15:18:57 +0100

python-skbio (0.5.5-6) unstable; urgency=medium

  * Team upload.
  * Need sphinx-common for all builds
  * Only attempt to build docs in --indep builds
  * Upsteam uses pytest, so should we

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 28 Feb 2020 10:43:48 +0100

python-skbio (0.5.5-5) unstable; urgency=medium

  * Team upload.
  * Sort build dependencies into common, -arch, and -indep.
  * Marked some build-deps as <!nodoc> and <!nocheck>, as appropriate

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 22 Feb 2020 12:55:14 +0100

python-skbio (0.5.5-4) unstable; urgency=medium

  * Team upload.
  * Build on any architecture
  * Add compatability for pandas >= 1.0 (Closes: #950930)
  * -doc: add ${sphinxdoc:Built-Using} and mark as Multi-Arch: foreign
  * Standards-Version: 4.5.0 (routine-update)
  * Set upstream metadata fields: Bug-Submit.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 21 Feb 2020 14:08:14 +0100

python-skbio (0.5.5-3) unstable; urgency=medium

  * Apply patch from upstream titled
     "WIP: Build fixes for pandas 0.25.0 and scipy 1.3.0"
  * Versioned Build-Depends: python3-scipy (>= 1.3.3)
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Set upstream metadata fields: Bug-Database, Repository.
  * Ignore 4 tests to not block Python3 migration
    Closes: #943619, #944042, #945346
  * Drop python3-httpretty from Test-Depends since there is no point in
    trying to run tests that need internet access.
  * Drop two tests from autopkgtest that are failing due to rounding errors
    despite this is fixed in build time test by a patch

 -- Andreas Tille <tille@debian.org>  Wed, 18 Dec 2019 16:02:13 +0100

=== debian/control ===
Source: python-skbio
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Kevin Murray <kdmfoss@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cython3,
               dh-python,
               python3-all-dev,
               python3-setuptools,
               python3-numpy (>= 1:1.9.2),
               python3-matplotlib,
               python3-cachecontrol,
               python3-decorator,
               python3-pandas (>= 0.19.2),
               python3-scipy (>= 1.3.3),
               python3-ipython,
               python3-hdmedians (>= 0.14.1),
               python3-sklearn,
               python3-natsort,
               libssw-dev,
               sphinx-common,
               libsimde-dev
Build-Depends-arch: python3-lockfile <!nocheck>,
                    python3-pytest <!nocheck>
Build-Depends-Indep: python3-sphinx <!nodoc>,
                     python3-sphinx-bootstrap-theme <!nodoc>,
                     python-numpy-doc <!nodoc>,
                     python3-doc <!nodoc>,
                     python-matplotlib-doc <!nodoc>,
                     python-scipy-doc <!nodoc>,
                     python-biom-format-doc <!nodoc>,
                     python-pandas-doc <!nodoc>
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/python-skbio
Vcs-Git: https://salsa.debian.org/med-team/python-skbio.git
Homepage: https://github.com/biocore/scikit-bio
Rules-Requires-Root: no

Package: python-skbio-doc
Build-Profiles: <!nodoc>
Architecture: all
Multi-Arch: foreign
Section: doc
Built-Using: ${sphinxdoc:Built-Using}
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         libjs-mathjax
Recommends: python3-skbio (= ${binary:Version})
Description: Data structures, algorithms, educational resources for bioinformatics (docs)
 Scikit-bio is a Python package providing data structures, algorithms, and
 educational resources for bioinformatics.
 .
 This is the HTML documentation for skbio.

Package: python3-skbio
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         python3-hdmedians (>= 0.14.1),
Suggests: python-skbio-doc (= ${binary:Version})
Description: Python3 data structures, algorithms, educational resources for bioinformatic
 Scikit-bio is a Python package providing data structures, algorithms, and
 educational resources for bioinformatics.
 .
 This is the package for Python3

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

export PYBUILD_NAME=skbio
export MPLBACKEND=agg
DOCPKG=python-$(PYBUILD_NAME)-doc
export USE_CYTHON=1

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_configure:
	rm -f skbio/alignment/_ssw_wrapper.c skbio/diversity/_phylogenetic.c skbio/stats/__subsample.c skbio/metadata/_intersection.c
	dh_auto_configure

override_dh_auto_build-arch:
	dh_auto_build

override_dh_auto_build-indep:
	dh_auto_build
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
	PYTHONPATH=$(shell pybuild --print build_dir --interpreter python3) \
		http_proxy='127.0.0.1:9' \
		python3 `which sphinx-build` -b html -d doc/build/doctrees doc/source doc/build/html
endif

override_dh_auto_test-indep:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	echo No testing for the -doc package
endif

override_dh_python3:
	dh_python3
	rm -r debian/python3-skbio/usr/lib/python3/dist-packages/benchmarks

override_dh_auto_clean:
	if [ "`find . -name "*.pyo"`" = "" ] ; then echo no need to clean up ; else dh_auto_clean; fi

override_dh_clean:
	dh_clean
	find ./skbio -name '*.so' -delete
	find ./skbio -name '*.o' -delete
	rm -rf doc/build build doc/source/generated
	find doc -name *.doctree -delete
	rm -rf .pybuild
	rm -f scikit_bio.egg-info/PKG-INFO scikit_bio.egg-info/SOURCES.txt scikit_bio.egg-info/dependency_links.txt scikit_bio.egg-info/requires.txt scikit_bio.egg-info/top_level.txt
	rm -f skbio/alignment/_ssw_wrapper.c skbio/diversity/_phylogenetic.c skbio/stats/__subsample.c skbio/metadata/_intersection.c


override_dh_sphinxdoc:
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
	dh_link --package=$(DOCPKG) \
		/usr/share/javascript/mathjax/MathJax.js \
		/usr/share/doc/$(DOCPKG)/html/_static/MathJax.js
	dh_sphinxdoc --package=$(DOCPKG)
endif

=== debian/tests/control ===
Tests: import-skbio testsuite
Depends: python3-skbio, python3-pytest
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://github.com/biocore/scikit-bio/releases .*/([.0-9]+)\.tar\.gz

## python-skbio 0.5.8

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #
 # Distributed under the terms of the Modified BSD License.
 #
-# The full license is in the file COPYING.txt, distributed with this software.
+# The full license is in the file LICENSE.txt, distributed with this software.
 # ----------------------------------------------------------------------------
 
 ifeq ($(WITH_COVERAGE), TRUE)
@@ -12,6 +12,20 @@
 	TEST_COMMAND = python -m skbio.test
 endif
 
+.PHONY: doc lint test dev install cython
+
+doc:
+	$(MAKE) -C doc clean html
+
+clean:
+	$(MAKE) -C doc clean
+	rm -rf build dist scikit_bio.egg-info
+
+lint:
+	flake8 skbio setup.py checklist.py
+	./checklist.py
+	check-manifest
+
 # cd into a directory that is different from scikit-bio root directory to
 # simulate a user's install and testing of scikit-bio. Running from the root
 # directory will find the `skbio` subpackage (not necessarily the installed
@@ -19,7 +33,13 @@
 # simulate a user's install/test process this way to find package data that did
 # not install correctly (for example).
 test:
-	cd ci && $(TEST_COMMAND) && cd -
-	flake8 skbio setup.py checklist.py
-	./checklist.py
-	check-manifest
+	cd ci && $(TEST_COMMAND)
+
+cython:
+	USE_CYTHON=TRUE python setup.py build_ext --inplace
+
+install:
+	pip install .
+
+dev:
+	pip install -e .

=== debian/changelog ===
python-skbio (0.5.8-4) unstable; urgency=medium

  * Team upload.
  * Use debian package of SIMDe instead of the snapshot in simde-sse2.h

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 12 Feb 2023 11:41:27 +0100

python-skbio (0.5.8-3) unstable; urgency=medium

  * Exclude 32bit architectures be explicitly setting architectures where
    package is building properly

 -- Andreas Tille <tille@debian.org>  Mon, 30 Jan 2023 17:29:50 +0100

python-skbio (0.5.8-2exp1) experimental; urgency=medium

  * Deactivate patch that builds against scipy 1.81. and building against
    scipy 1.10
    Closes: #1029697

 -- Andreas Tille <tille@debian.org>  Thu, 26 Jan 2023 14:00:40 +0100

python-skbio (0.5.8-2) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * d/control,d/patches/local_inventory: python-numpy-doc is no longer built,
    so remove the build-dep and reference

  [ Nilesh Patra ]
  * Adapt to numpy 1.24
    Closes: #1029452

 -- Andreas Tille <tille@debian.org>  Wed, 25 Jan 2023 16:31:24 +0100

python-skbio (0.5.8-1) unstable; urgency=medium

  [ Étienne Mollier ]
  * simde patch: remove; implemented upstream.
  * soften_test patch: remove; implemented upstream.
  * pandas1.1-ordination-fix.patch: remove; applied upstream.
  * pandas1.1-valueerror.patch: remove; applied upstream.
  * local_inventory patch: unfuzz.
  * sphinx_add_javascript.patch: remove; fixed upstream.
  * fix-dtype-precision-warnings.patch: remove; applied upstream.
  * d/rules: include build root in CPPFLAGS; allow source code to find the
    simde-sse2.h wrapper.

  [ Nilesh Patra ]
  * d/watch: Use tags instead of releases as the latter is hard to maintain
  * New upstream version 0.5.8
  * Drop precision_bug.patch, which has been accounted for upstream
  * Re-diff patches
  * Add patch to build with older scipy
  * Add B-D and Depends on python3-h5py
  * Add patch to work-around a test
  * Remove override_dh_python3 which is not needed now
  * Remove B-D on python-matplotlib-doc, update patch to not reference
    it in intersphinx docs (Closes: #1027826)
  * Disable i386 in salsa-ci.yml

  [ Andreas Tille ]
  * Standards-Version: 4.6.2 (routine-update)
  * Automated changes by lintian-brush
  * Update lintian override info format in d/python3-skbio.lintian-overrides on
    line 5.

 -- Andreas Tille <tille@debian.org>  Thu, 05 Jan 2023 07:57:37 +0100

python-skbio (0.5.6-7) unstable; urgency=medium

  * Team Upload.
  * Add patch to fix FTBFS (Closes: #1026474)

 -- Nilesh Patra <nilesh@debian.org>  Wed, 21 Dec 2022 13:44:41 +0530

=== debian/control ===
Source: python-skbio
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Kevin Murray <kdmfoss@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cython3,
               dh-python,
               python3-all-dev,
               python3-setuptools,
               python3-numpy,
               python3-matplotlib,
               python3-cachecontrol,
               python3-decorator,
               python3-h5py,
               python3-pandas,
               python3-scipy (>= 1.9),
               python3-ipython,
               python3-hdmedians (>= 0.14.1),
               python3-sklearn,
               python3-natsort,
               libssw-dev,
               sphinx-common,
               libsimde-dev
Build-Depends-Arch: python3-lockfile <!nocheck>,
                    python3-pytest <!nocheck>
Build-Depends-Indep: python3-sphinx <!nodoc>,
                     python3-sphinx-bootstrap-theme <!nodoc>,
                     python3-doc <!nodoc>,
#                     python-scipy-doc <!nodoc>,
                     python-biom-format-doc <!nodoc>,
                     python-pandas-doc <!nodoc>
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/python-skbio
Vcs-Git: https://salsa.debian.org/med-team/python-skbio.git
Homepage: https://github.com/biocore/scikit-bio
Rules-Requires-Root: no

Package: python-skbio-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         libjs-mathjax
Recommends: python3-skbio (= ${binary:Version})
Built-Using: ${sphinxdoc:Built-Using}
Description: Data structures, algorithms, educational resources for bioinformatics (docs)
 Scikit-bio is a Python package providing data structures, algorithms, and
 educational resources for bioinformatics.
 .
 This is the HTML documentation for skbio.
Build-Profiles: <!nodoc>

Package: python3-skbio
Architecture: amd64 arm64 mips64el ppc64el riscv64
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         python3-hdmedians (>= 0.14.1),
         python3-h5py
Suggests: python-skbio-doc (= ${binary:Version})
Description: Python3 data structures, algorithms, educational resources for bioinformatic
 Scikit-bio is a Python package providing data structures, algorithms, and
 educational resources for bioinformatics.
 .
 This is the package for Python3

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 #export DH_VERBOSE=1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
+export DEB_CPPFLAGS_MAINT_APPEND = -I$(CURDIR)
 
 export PYBUILD_NAME=skbio
 export MPLBACKEND=agg
@@ -14,6 +15,7 @@
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_configure:
+	mv simde-sse2.h simde-sse2.h.orig
 	rm -f skbio/alignment/_ssw_wrapper.c skbio/diversity/_phylogenetic.c skbio/stats/__subsample.c skbio/metadata/_intersection.c
 	dh_auto_configure
 
@@ -33,10 +35,6 @@
 	echo No testing for the -doc package
 endif
 
-override_dh_python3:
-	dh_python3
-	rm -r debian/python3-skbio/usr/lib/python3/dist-packages/benchmarks
-
 override_dh_auto_clean:
 	if [ "`find . -name "*.pyo"`" = "" ] ; then echo no need to clean up ; else dh_auto_clean; fi
 
@@ -49,6 +47,7 @@
 	rm -rf .pybuild
 	rm -f scikit_bio.egg-info/PKG-INFO scikit_bio.egg-info/SOURCES.txt scikit_bio.egg-info/dependency_links.txt scikit_bio.egg-info/requires.txt scikit_bio.egg-info/top_level.txt
 	rm -f skbio/alignment/_ssw_wrapper.c skbio/diversity/_phylogenetic.c skbio/stats/__subsample.c skbio/metadata/_intersection.c
+	mv simde-sse2.h.orig simde-sse2.h || true
 
 
 override_dh_sphinxdoc:

## python-skbio 0.5.9

=== debian/changelog ===
python-skbio (0.5.9-4build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 15:30:05 +0000

python-skbio (0.5.9-4) unstable; urgency=medium

  * Import upstream pull request to make tests working with scipy 1.11
    Closes: #1063584
  * Remove autogenerated *.c files
    Closes: #1048510
  * Make sure backup of simde-sse2.h
    Closes: #1049511

 -- Andreas Tille <tille@debian.org>  Sun, 11 Feb 2024 21:24:22 +0100

python-skbio (0.5.9-3) unstable; urgency=medium

  * Fix cython issue
    Closes: #1056047

 -- Andreas Tille <tille@debian.org>  Fri, 26 Jan 2024 13:44:30 +0100

python-skbio (0.5.9-2) unstable; urgency=medium

  * Add loong64 support
    Closes: #1059214

 -- Andreas Tille <tille@debian.org>  Sun, 24 Dec 2023 12:15:43 +0100

python-skbio (0.5.9-1) unstable; urgency=medium

  * New upstream version
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Remove patch numpy-1.24_32bit.patch that is missing from
    debian/patches/series.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sun, 10 Dec 2023 11:16:54 +0100

python-skbio (0.5.8-4.1) unstable; urgency=medium

  * Non-maintainer upload
  * Xfail tests known to fail with Python 3.12, see #1056047
  * Build with cython3-legacy for now (Closes: #1056873)

 -- Graham Inggs <ginggs@debian.org>  Sun, 10 Dec 2023 07:58:34 +0000

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               cython3,
-               dh-python,
+               cython3-legacy,
+               dh-sequence-python3,
                python3-all-dev,
                python3-setuptools,
                python3-numpy,
@@ -17,7 +17,7 @@
                python3-pandas,
                python3-scipy (>= 1.9),
                python3-ipython,
-               python3-hdmedians (>= 0.14.1),
+               python3-hdmedians,
                python3-sklearn,
                python3-natsort,
                libssw-dev,
@@ -54,11 +54,11 @@
 Build-Profiles: <!nodoc>
 
 Package: python3-skbio
-Architecture: amd64 arm64 mips64el ppc64el riscv64
+Architecture: amd64 arm64 loong64 mips64el ppc64el riscv64
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python3:Depends},
-         python3-hdmedians (>= 0.14.1),
+         python3-hdmedians,
          python3-h5py
 Suggests: python-skbio-doc (= ${binary:Version})
 Description: Python3 data structures, algorithms, educational resources for bioinformatic

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 export USE_CYTHON=1
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_configure:
 	mv simde-sse2.h simde-sse2.h.orig
@@ -39,6 +39,7 @@
 	if [ "`find . -name "*.pyo"`" = "" ] ; then echo no need to clean up ; else dh_auto_clean; fi
 
 override_dh_clean:
+	if [ -f simde-sse2.h.orig ] ; then mv simde-sse2.h.orig simde-sse2.h ; fi
 	dh_clean
 	find ./skbio -name '*.so' -delete
 	find ./skbio -name '*.o' -delete

## python-skbio 0.6.1

=== debian/changelog ===
python-skbio (0.6.1-3) unstable; urgency=medium

  * fix-test_shannon.patch: new: relax floating point comparison.
    (Closes: #1074745)
  * d/control: add myself to uploaders.
  * d/control: declare compliance to standards version 4.7.0.

 -- Étienne Mollier <emollier@debian.org>  Wed, 10 Jul 2024 21:38:07 +0200

python-skbio (0.6.1-2) unstable; urgency=medium

  * Team upload.
  * d/rules: run dh_numpy3
  * d/control: breaks the older packages of unifrac

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 29 Jun 2024 17:47:14 +0200

python-skbio (0.6.1-1) experimental; urgency=medium

  * Team upload.
  * d/control: simplify architecture specifications by using provisions
    from the architecture-properties package.
  * d/salsi-ci.yml: skip i386 build, add link to salsa-ci docs. Stop
    building in "experimental".
  * Refreshed patches, removed 3 that were applied upstream
  * Add new dependency: python3-biom-format
  * d/control: the docs now need
    python3-{numpydoc,sphinx-design,sphinx-copybutton}
  * docs: Added patch to skip the version switcher theme element

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 25 Jun 2024 10:48:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: python-skbio
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
-           Kevin Murray <kdmfoss@gmail.com>
+           Kevin Murray <kdmfoss@gmail.com>,
+           Étienne Mollier <emollier@debian.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                cython3-legacy,
                dh-sequence-python3,
                python3-all-dev,
+               python3-biom-format,
                python3-setuptools,
                python3-numpy,
                python3-matplotlib,
@@ -22,16 +24,21 @@
                python3-natsort,
                libssw-dev,
                sphinx-common,
-               libsimde-dev
+               libsimde-dev,
 Build-Depends-Arch: python3-lockfile <!nocheck>,
-                    python3-pytest <!nocheck>
+                    python3-pytest <!nocheck>,
+                    architecture-is-64-bit
 Build-Depends-Indep: python3-sphinx <!nodoc>,
-                     python3-sphinx-bootstrap-theme <!nodoc>,
+                     python3-sphinx-design <!nodoc>,
+                     python3-sphinx-copybutton <!nodoc>,
+                     python3-pydata-sphinx-theme <!nodoc>,
                      python3-doc <!nodoc>,
-#                     python-scipy-doc <!nodoc>,
+                     python3-numpydoc <!nodoc>,
+                     python-scipy-doc <!nodoc>,
                      python-biom-format-doc <!nodoc>,
-                     python-pandas-doc <!nodoc>
-Standards-Version: 4.6.2
+                     python-pandas-doc <!nodoc>,
+                     python-numpy-doc <!nodoc>
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-skbio
 Vcs-Git: https://salsa.debian.org/med-team/python-skbio.git
 Homepage: https://github.com/biocore/scikit-bio
@@ -45,6 +52,11 @@
          ${sphinxdoc:Depends},
          libjs-mathjax
 Recommends: python3-skbio (= ${binary:Version})
+Suggests: python3-doc,
+          python-scipy-doc,
+          python-biom-format-doc,
+          python-pandas-doc,
+          python-numpy-doc
 Built-Using: ${sphinxdoc:Built-Using}
 Description: Data structures, algorithms, educational resources for bioinformatics (docs)
  Scikit-bio is a Python package providing data structures, algorithms, and
@@ -54,13 +66,14 @@
 Build-Profiles: <!nodoc>
 
 Package: python3-skbio
-Architecture: amd64 arm64 loong64 mips64el ppc64el riscv64
+Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python3:Depends},
          python3-hdmedians,
          python3-h5py
 Suggests: python-skbio-doc (= ${binary:Version})
+Breaks: unifrac (<< 1.3-3)
 Description: Python3 data structures, algorithms, educational resources for bioinformatic
  Scikit-bio is a Python package providing data structures, algorithms, and
  educational resources for bioinformatics.

=== debian/rules ===
--- 
+++ 
@@ -50,6 +50,8 @@
 	rm -f skbio/alignment/_ssw_wrapper.c skbio/diversity/_phylogenetic.c skbio/stats/__subsample.c skbio/metadata/_intersection.c
 	mv simde-sse2.h.orig simde-sse2.h || true
 
+execute_after_dh_install:
+	dh_numpy3
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))

## python-skbio 0.6.2

=== debian/changelog ===
python-skbio (0.6.2-4build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 14:51:33 +0000

python-skbio (0.6.2-4build1) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 31 Jan 2025 09:41:16 +0000

python-skbio (0.6.2-4) unstable; urgency=medium

  * Team upload.
  * Cherry-picked patch from upstream to fix test that failed under Python
    3.13. Closes: #1087690

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 19 Nov 2024 00:02:18 +0100

python-skbio (0.6.2-3) unstable; urgency=medium

  * Team upload.
  * Upgrade to cython 3.x. Closes: #1078527
  * Cleanup patch metadata to work nicely with gbp pq
  * Drop many unneeded patches.
  * Cherry-pick patch from upstream to fix cython segmentation error.
  * Switch to pybuild-autopkgtest

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 28 Sep 2024 11:37:58 +0200

python-skbio (0.6.2-2) unstable; urgency=medium

  * Team upload.
  * Remove dependency on python3-lockfile

 -- Alexandre Detiste <tchet@debian.org>  Fri, 13 Sep 2024 10:21:12 +0200

python-skbio (0.6.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.6.2
  * Add a new dependency on python3-statsmodels
  * Remove patch applied upstream

 -- Alexandre Detiste <tchet@debian.org>  Mon, 12 Aug 2024 22:37:14 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               cython3-legacy,
+               cython3 (>= 3),
                dh-sequence-python3,
                python3-all-dev,
                python3-biom-format,
@@ -22,11 +22,11 @@
                python3-hdmedians,
                python3-sklearn,
                python3-natsort,
+               python3-statsmodels,
                libssw-dev,
                sphinx-common,
                libsimde-dev,
-Build-Depends-Arch: python3-lockfile <!nocheck>,
-                    python3-pytest <!nocheck>,
+Build-Depends-Arch: python3-pytest <!nocheck>,
                     architecture-is-64-bit
 Build-Depends-Indep: python3-sphinx <!nodoc>,
                      python3-sphinx-design <!nodoc>,
@@ -43,6 +43,7 @@
 Vcs-Git: https://salsa.debian.org/med-team/python-skbio.git
 Homepage: https://github.com/biocore/scikit-bio
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python-skbio-doc
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 export DEB_CPPFLAGS_MAINT_APPEND = -I$(CURDIR)
 
 export PYBUILD_NAME=skbio
+export PYBUILD_TEST_ARGS=--pyargs skbio
 export MPLBACKEND=agg
 DOCPKG=python-$(PYBUILD_NAME)-doc
 export USE_CYTHON=1
